---
title: List Regional Hostnames
---

[Skip to content](#_top)

[API Reference](https://developers.cloudflare.com/api/python)

[Addressing](https://developers.cloudflare.com/api/python/resources/addressing)

[Regional Hostnames](https://developers.cloudflare.com/api/python/resources/addressing/subresources/regional_hostnames)

Copy Markdown

Open in **Claude**Open in **ChatGPT**Open in **Cursor**

---

**Copy Markdown****View as Markdown**

# List Regional Hostnames

addressing.regional\_hostnames.list(RegionalHostnameListParams\*\*kwargs) -> SyncSinglePage\[[RegionalHostnameListResponse](<https://developers.cloudflare.com/api/python/resources/addressing#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20regional_hostname_list_response%20%3E%20(schema)>)]

GET/zones/{zone\_id}/addressing/regional\_hostnames

List all Regional Hostnames within a zone.

##### Security

<details>

<summary>API Token</summary>



The preferred authorization scheme for interacting with the Cloudflare API. <a href="https://developers.cloudflare.com/fundamentals/api/get-started/create-token/">Create a token</a>.

**Example:**<code>Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY</code>

</details>

<details>

<summary>API Email + API Key</summary>



The previous authorization scheme for interacting with the Cloudflare API, used in conjunction with a Global API key.

**Example:**<code>X-Auth-Email: user@example.com</code>

The previous authorization scheme for interacting with the Cloudflare API. When possible, use API tokens instead of Global API keys.

**Example:**<code>X-Auth-Key: 144c9defac04969c7bfad8efaa8ea194</code>

</details>

##### Accepted Permissions (at least one required)

`DNS Read``DNS Write`

##### ParametersExpand Collapse

zone\_id: str

Identifier.

maxLength32

[Link to this property](<#(resource)%20addressing.regional_hostnames%20%3E%20(method)%20list%20%3E%20(params)%20default%20%3E%20(param)%20zone_id%20%3E%20(schema)>)

##### ReturnsExpand Collapse

<details>

<summary>

class RegionalHostnameListResponse: …

</summary>

created\_on: datetime

When the regional hostname was created

formatdate-time

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20regional_hostname_list_response%20%3E%20(schema)%20%3E%20(property)%20created_on">Link to this property</a>

hostname: str

DNS hostname to be regionalized, must be a subdomain of the zone. Wildcards are supported for one level, e.g <code>*.example.com</code>

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20regional_hostname_list_response%20%3E%20(schema)%20%3E%20(property)%20hostname">Link to this property</a>

region\_key: str

Identifying key for the region

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20regional_hostname_list_response%20%3E%20(schema)%20%3E%20(property)%20region_key">Link to this property</a>

routing: str

Configure which routing method to use for the regional hostname

<a href="#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20regional_hostname_list_response%20%3E%20(schema)%20%3E%20(property)%20routing">Link to this property</a>

</details>

[Link to this property](<#(resource)%20addressing.regional_hostnames%20%3E%20(model)%20regional_hostname_list_response%20%3E%20(schema)>)

### List Regional Hostnames

Python

HTTPTypeScriptPythonGoTerraform

```
import os
from cloudflare import Cloudflare

client = Cloudflare(
    api_token=os.environ.get("CLOUDFLARE_API_TOKEN"),  # This is the default and can be omitted
)
page = client.addressing.regional_hostnames.list(
    zone_id="023e105f4ecef8ad9ca31a8372d0c353",
)
page = page.result[0]
print(page.created_on)
```

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "created_on": "2014-01-01T05:20:00.12345Z",
      "hostname": "foo.example.com",
      "region_key": "ca",
      "routing": "dns"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```

##### Returns Examples

200 example

```
{
  "errors": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "messages": [
    {
      "code": 1000,
      "message": "message",
      "documentation_url": "documentation_url",
      "source": {
        "pointer": "pointer"
      }
    }
  ],
  "success": true,
  "result": [
    {
      "created_on": "2014-01-01T05:20:00.12345Z",
      "hostname": "foo.example.com",
      "region_key": "ca",
      "routing": "dns"
    }
  ],
  "result_info": {
    "count": 1,
    "page": 1,
    "per_page": 20,
    "total_count": 2000,
    "total_pages": 100
  }
}
```